> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Stats

### GET /locations/:location\_id/daily/schedule\_stats

This endpoint retrieves daily schedule stats for a specific location and date.

#### Parameters

* location\_id (required): The ID of the location for which patients are to be retrieved.
* date: A parameter to specifiy the date to get data from, following the format **YYYY-MM-DD.**
* The `q[`appointment\_type\_id\_eq`]` is used to capture the schedule stats based on appointment types id passed.

```json theme={null}
{
  "q": {
    "appointment_type_id_eq": "232"
  }
}
```

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/daily/schedule_stats?date=2023-05-01" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/daily/schedule_stats?date=2023-05-01", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/daily/schedule_stats?date=2023-05-01",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/daily/schedule_stats?date=2023-05-01")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

* Content-Type: application/json

```json theme={null}
{
    "tenant": {
        "data": {
            "id": "number",
            "type": "string",
            "attributes": {
                "title": "string",
                "third_party_id": "number",
                "owner": {
                    "data": {
                        "id": "number",
                        "type": "string",
                        "attributes": {
                            "name": "string"
                        }
                    }
                }
            }
        }
    },
    "date": "datetime",
    "hrs_capacity": "number",
    "hrs_filled": "number",
    "hrs_available": "number",
    "fill_rate": "percentage"
}
```
